about summary refs log tree commit diff homepage
path: root/.travis/install-tcmalloc.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/install-tcmalloc.sh')
-rwxr-xr-x.travis/install-tcmalloc.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/.travis/install-tcmalloc.sh b/.travis/install-tcmalloc.sh
new file mode 100755
index 00000000..5a86380b
--- /dev/null
+++ b/.travis/install-tcmalloc.sh
@@ -0,0 +1,12 @@
+#!/bin/bash -x
+set -ev
+
+if [ ${USE_TCMALLOC:-0} -eq 1 ] ; then
+	# Get tcmalloc release
+	wget https://github.com/gperftools/gperftools/releases/download/gperftools-2.4/gperftools-2.4.tar.gz
+	tar xfz gperftools-2.4.tar.gz
+	cd gperftools-2.4
+	./configure --disable-dependency-tracking --disable-cpu-profiler --disable-heap-checker --disable-debugalloc  --enable-minimal --prefix=/usr
+	make
+	sudo make install
+fi